body{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    text-decoration: underline;
  }
  
  .headerOfTable{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 20px;
    font-style: oblique;
  }
  
  table {
    border-collapse: collapse;
    font-size: 22px;
  }
  tr, th, td {
    text-align: center;
    border: 1px solid;
    font-size: 16px;
  }
  
  th, td {
    padding: 2%;
  }
  .tableOfStudents{
    margin-top: 70px;
  }
  
  .circle.active{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: rgb(36, 241, 43);
  }
  .circle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: rgb(53, 31, 221);
  }
  
  .modal {
    border: 1px solid rgb(24, 157, 240);
    position: absolute;
    width: 130px;
    height: 150px;
    background-color: #5966ee;
    box-shadow: 0px 8px 16px 0px rgba(5, 73, 10, 0.2);
    z-index: 1;
    display: none;
    margin-top: 40px;
  }
  
  .modal a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: rgb(3, 36, 70);
  }
  
  .modal a:hover {
    background-color: #eceaea;
  }
  
  .drop .drop2 {
    position: relative;
    display: block;
  }
  
  .drop2:hover .notifications{
    display: block;
  }
  
  .drop:hover .modal{
    display: block;
  }
  
  .tableButton{
    width: 25px;
    height: 25px;
  }
  .buttonContainer{
    gap: 2px;
  }
  p{
    display: inline-block;
    margin-left: 30px;
  }
  .modal a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: #000;
  }
  
  .modal a:hover {
    background-color: #f1f1f1;
  }
  .notificationCircle{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #0f6ef3;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FAFF88;
    font-size: 10px;
    font-weight: bold;
    margin-left: 20px;
    z-index: 1;
    position: absolute;
  }
  .bell {
    animation: bell 0.5s 10;
    height: 40px;
    width: 40px;
    color: black;
  }
  .drop .drop2{
    position: relative;
    display: block;
  }
  .drop{
    display: block;
  }
  .photo{
    height: 40px;
    width: 40px;
  }
  .infoContainer{
    gap: 20px;
  }
  .plusButton{
    right: 17.5%;
  }
  @keyframes bell {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(-10deg);
    }
    20% {
        transform: rotate(5deg);
    }
    30% {
        transform: rotate(10deg);
    }
    40% {
        transform: rotate(5deg);
    }
    50% {
        transform: rotate(-10deg);
    }
    60% {
        transform: rotate(-15deg);
    }
    70% {
        transform: rotate(5deg);
    }
    80% {
        transform: rotate(0deg);
    }
    90% {
        transform: rotate(-10deg);
    }
    100% {
        transform: rotate(0deg);
    }
  }
  .pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 50px 0 20px;
  }
  
  .pagination li {
    list-style: none;
    margin: 0 10px;
  }
  
  .pagination li a,
  .pagination li span {
    padding: 5px 10px;
    border-radius: 4px;
    color: #4512ec;
  }
  
  .pagination li a:hover {
    background-color: #e9ecef;
  }
  
  .pagination .active a,
  .pagination .active span {
    background-color: #007bff;
    color: #fff;
  }
  a{
    text-decoration: none;
  }
  
  .btn40x40{
    height: 40px;
    width: 40px;
  }
  .btn-msg {
    height: 32px;
    width: 32px;
    border-radius: 50%;
    background-color: transparent;
    border: none;
  
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .btn-msg:hover,
  .btn-msg:active {
    background-color: rgba(0, 0, 0, 0.1);
  }
  
  .icon-msg {
    height: 24px;
    width: 24px;
    color: #fff;
  }
  
  .btn-msg::after {
    display: inline-block;
    content: "";
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #f03e3e00;
  
    position: absolute;
    top: 10%;
    right: 20%;
  
    transition: all 0.4s;
  }
  
  .btn-msg.new-msg::after {
    background-color: #f03e3e;
  }
  
  .msg-dropdown {
    height: 32px;
    width: 32px;
    border-radius: 50%;
    position: relative;
  }
  
  .msg-dropdown-content {
    display: none;
    background-color: #fff;
    color: #343a40;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    min-width: 200px;
    position: absolute;
    top: 100%;
    right: 0;
    z-index: 1;
  }
  
  .msg-dropdown:hover .msg-dropdown-content {
    display: block;
  }
  
  .msg {
    font-size: 12px;
    padding: 12px 16px;
  
    display: flex;
    align-items: center;
    gap: 18px;
  }
  
  .msg-sender {
    display: flex;
    flex-direction: column;
    gap: 6px;
    align-items: center;
  }
  
  .msg-sender-img {
    height: 32px;
    width: 32px;
    border-radius: 50%;
  }
  .student-window {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.4s;
  }
  
  .student-window.opened {
    visibility: visible;
    opacity: 1;
  }
  
  .student-window-content {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background-color: #fff;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 32px 24px;
  }
  
  .student-window-header {
    margin-bottom: 32px;
  
    display: flex;
    justify-content: space-between;
  }
  
  .btn--close-student-window {
    width: 24px;
    height: 24px;
    font-size: 12px;
    background-color: transparent;
    border-color: #343a40;
  }
  
  .btn--close-student-window:hover,
  .btn--close-student-window:active {
    background-color: rgba(0, 0, 0, 0.1);
  }
  
  .student-form {
    display: flex;
    flex-direction: column;
    gap: 18px;
  }
  
  .student-input-container {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  
  .student-input {
    font-size: 16px;
    padding: 12px 16px;
  }
  
  .form-buttons {
    display: flex;
    justify-content: center;
    gap: 18px;
  }
  
  .btn--form {
    background-color: transparent;
    border: 2px solid #343a40;
    font-size: 16px;
    padding: 8px 16px;
  }
  
  .btn--form:hover,
  .btn--form:active {
    background-color: rgba(0, 0, 0, 0.1);
  }
  
  .delete-student-window {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.4s;
  }
  
  .delete-student-window.opened {
    visibility: visible;
    opacity: 1;
  }
  
  .delete-student-window-content {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background-color: #fff;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 32px 24px;
  }
  
  .delete-student-header {
    margin-bottom: 32px;
  
    display: flex;
    justify-content: space-between;
  }
  
  .delete-student-text {
    margin-bottom: 42px;
  }
  .group-error, .first-name-error, .last-name-error, .gender-error, .birthday-error{
    display: none;
    opacity: 0;
  }
  .group-error.opened, .first-name-error.opened, .last-name-error.opened, .gender-error.opened, .birthday-error.opened{
    display: block;
    opacity: 1;
  }
  
  
  
  
  
  
  